#
# spec file for package intel-i810-agpgart (Version 1.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           intel-i810-agpgart
BuildRequires:  kernel-source kernel-syms
%if %suse_version > 1010
BuildRequires:  module-init-tools
%endif
ExcludeArch:    ia64 ppc ppc64 s390 s390x
License:        GPL v2 or later
Group:          System/Kernel
Summary:        Updated intel-agp kernel module for Intel Graphics
Version:        1.3
Release:        0.6.41
Source0:        %name-1.0.tar.bz2
Patch:          intel_pci_table.diff
Patch1:         intel-i810-agpgart-1.0-965GM.patch
Patch2:         intel_agpgart_20070810.patch
Patch3:         xen-bug359039.diff
### http://lkml.org/lkml/2008/1/8/642
Patch4:         IGD.diff
Patch5:         missing_break_for_64m.diff
Patch6:         0001-agp-intel_agp-official-name-for-GM45-chipset.diff
Patch7:         G4X.diff
Patch8:         fix_stolen_mem_counting_on_g4x.diff
Patch9:         kernel-agp-g41.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%suse_kernel_module_package kdump um

%description
Updated intel-agp.ko kernel module supporting the Intel(R) 855GM,
852GM, 865G, 915G, 915GM, 945G, 945GM, 946GZ, Q965 and G965 Graphics
chipsets.



Authors:
--------
    intel
    Silicon Graphics, Inc
    Dave Jones
    Jeff Hartman
    Precision Insight, Inc.
    Xi Graphics, Inc.

%package KMP
License:        GPL v2 or later
Summary:        Updated intel-agp kernel module for Intel Graphics
Group:          System/Kernel

%description KMP
Updated intel-agp.ko kernel module supporting the Intel(R) 855GM,
852GM, 865G, 915G, 915GM, 945G, 945GM, 946GZ, Q965 and G965 Graphics
chipsets.



Authors:
--------
    intel
    Silicon Graphics, Inc
    Dave Jones
    Jeff Hartman
    Precision Insight, Inc.
    Xi Graphics, Inc.

%prep
%setup -n %name-1.0
%patch1 -p2
%patch
%patch2 -p4
%patch3 -p4
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
# Regression on GM45 (see changelog)
#%patch8 -p0
%patch9 -p0
# mark as supported (Bug #233544)
echo "intel-agp.ko external" > Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"1.0\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Tue May  5 2009 sndirsch@suse.de
- kernel-agp-g41.diff
  * agp/intel: add support for G41 chipset (FATE #305831)
* Wed Apr 29 2009 sndirsch@suse.de
- disabled 'fix_stolen_mem_counting_on_g4x.diff'; it resulted in a
  regression on GM45 (inconsistent memory detection in intel-agp
  and xf86-video-intel) and didn't help to fix bnc #426475 anyway
* Thu Apr 16 2009 sndirsch@suse.de
- this update is required for Cantiga/Eaglelake support
  (FATE #305831)
* Wed Oct 29 2008 sndirsch@suse.de
- fix_stolen_mem_counting_on_g4x.diff
  * Fix stolen memory counting on G4X (bnc #437618); possibly fixes
    bnc #426475
* Fri Aug 15 2008 sndirsch@suse.de
- G4X.diff
  * added support for Eaglelake chipsets (IGD, G45/G43, Q45/Q43)
* Fri Jul 11 2008 sndirsch@suse.de
- 0001-agp-intel_agp-official-name-for-GM45-chipset.diff
  * Cantiga official name is GM45 (bnc #402773)
* Wed Jun 25 2008 sndirsch@suse.de
- missing_break_for_64m.diff
  * added missing break (bnc #402773)
* Wed Feb  6 2008 sndirsch@suse.de
- xen-bug359039.diff
  * required for Xen kernels (Bug #359039)
* Tue Sep 25 2007 sndirsch@suse.de
- marking kernel module as external
* Fri Aug 10 2007 sndirsch@suse.de
- intel_agpgart_20070810.patch:
  * patch for 945GME/965GME was incomplete (see Bug #281277)
* Fri Jul 27 2007 sndirsch@suse.de
- intel_agpgart_20070723.patch:
  * Fix device id info for 945GME, 965GME
* Fri Jul  6 2007 sndirsch@suse.de
- intel_agpgart_20070706.patch:
  * Bearlake (G33/Q33/Q35) support
  * New SKUs (945GME/965GME/965GLE) support
* Tue Jul  3 2007 sndirsch@suse.de
- intel_agpgart_20070621.patch:
  * https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=197346
  * Freedesktop BZ #8816
* Fri Apr 27 2007 sndirsch@suse.de
- bumped package version number to 1.1
* Tue Apr 17 2007 sndirsch@suse.de
- intel-i810-agpgart-1.0-965GM.patch:
  * support for 965GM (backported by Intel)
* Thu Jan 18 2007 sndirsch@suse.de
- fixed marking kernel module as supported (Bug #235808)
* Sat Jan 13 2007 sndirsch@suse.de
- added support for PCI_DEVICE_ID_INTEL_82855GM_HB (0x3580)
  (tested by dkukawka)
* Thu Jan 11 2007 sndirsch@suse.de
- mark kernel module as supported (Bug #233544)
* Wed Dec 20 2006 sndirsch@suse.de
- Intel Broadwater support (FATE #301419, Bug #173465)
* Tue Dec 19 2006 sndirsch@suse.de
- limit support to well tested chipsets 915G/915GM, 945G/945GM and
  946GZ/Q965/G965
* Fri Sep  8 2006 german.monroy@intel.com
- disabled intel_pci_table.diff since Xgl seems to be working now
* Mon Aug 14 2006 sndirsch@suse.de
- intel_pci_table.diff:
  * limit support to new 946GZ/965G/965G-1/965Q devices, so this
    package will only get autoselected by YaST (via the package
    Supplements) for these devices
* Fri Apr 28 2006 german.monroy@intel.com
- Sources are a copy of linux/drivers/char/agp
- TODO: Make intel-i810-Mesa depend on this module
- TODO: Remove non-intel drivers from sources
* Sat Jan 28 2006 agruen@suse.de
- Initial package.
